
Redmine - Defect #26247

Missing translation for email reminder when user sets language to 'auto'

2017-06-23 15:23 - Michał Siudyka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.2.6

Description

There is missing translation when user sets language option to 'auto' for email reminder.

Associated revisions

Revision 16682 - 2017-06-23 18:46 - Toshi MARUYAMA

add test of email reminder in case of user language is 'auto' (#26247)

History

#1 - 2017-06-23 15:26 - Michał Siudyka

The workaround is to comment a line in the mailer.rb

  def reminder(user, issues, days)

  #  set_language_if_valid user.language

#2 - 2017-06-23 17:59 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#3 - 2017-06-24 10:33 - Michał Siudyka

Environment:

  Redmine version                3.2.6.stable

  Ruby version                   2.2.6-p396 (2016-11-15) [i386-mingw32]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.5

  Mercurial                      2.9.2

  Git                            1.9.4

  Filesystem

  GitRemote                      1.9.4

Redmine plugins:

  clipboard_image_paste          1.10

  redmine_agile                  1.4.3

  redmine_checklists             3.1.5

  redmine_close_button           0.0.8

  redmine_git_remote             0.0.1

  redmine_issue_clipboard        0.1.0

  redmine_last_updated_by_column 0.3.0

  redmine_lightbox2              0.2.7

  redmine_people                 1.3.0

  redmine_questions              0.0.7

  redmine_slack                  0.2

#4 - 2017-06-24 11:51 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

I cherry-picked r16682 to vanilla 3.2-stable and passed test on my Windows 10 ruby 2.2.6p396 (2016-11-15 revision 56800) [x64-mingw32].
